# 4.1.1.	Les fonctions en Python

# une fonction sans corps
def maFontion():
	pass

# code pour la procédure affiche_tableau
def afficheTableau(tab):
	for e in tab:
		print(e)

# code de la procédure double
def double(a):
	return a * a

# code de la fonction maximun
def maximum(a,b):
	if a > b :
		return a
	else:
		return b

# 4.1.2.	Particularités de Python
# la procédure de calculs sur un rectangle
def calculRectangle(la, lo):
	aire = la * lo
	perimetre = la * 2 + lo * 2
	return aire, perimetre

# maximun entre trois valeurs
def maximum3(a=0, b=1, c=3):
	if a > b  and a > c:
		return a
	elif b > c:
		return b
	else:
		return c

# programme principal
if __name__ == '__main__':
	afficheTableau([1,2,3])
	a = 2
	aa = double(2)
	print("le double de", a, "est", aa)
	print("le maximun est", maximum(2,3))
	la = 2
	lo = 4
	aire, perimetre = calculRectangle(la,lo)
	print("l'aire du rectangle est", aire)
	print("le périmtère du rectangle est", perimetre)
	print("appel avec les valeurs par défaut", maximum3())
	print("appel sans les valeurs par défaut", maximum3(1, 2, 3))
	print("appel avec quelques valeurs par défaut", maximum3(3, 4)) # a vaut 3, b 4 et c 3
	print("appel avec quelques valeurs par défaut", maximum3(4)) # a vaut 0, b 4 et c 3
	print("appel avec quelques valeurs par défaut", maximum3(b=3, c=4)) # a vaut 0, b 3 et c 4

	double = lambda a : a * 2
	print("le double de 2 est", double(2))

